For the complete documentation index, see llms.txt. This page is also available as Markdown.

Webhooks

Get Webhooks

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
Responses
200

Success

idstring · uuidOptional
urlstring · nullableOptional
eventsstring[] · nullableOptional
tokenstring · nullableOptional
descriptionstring · nullableOptional
webhookStatusstring · enumOptionalPossible values:
get/Webhooks
GET /Webhooks HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "url": "text",
    "events": [
      "text"
    ],
    "token": "text",
    "description": "text",
    "webhookStatus": "Enabled"
  }
]

Create Webhook

post
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
urlstring · uri · min: 1Required
eventsstring[]Required
descriptionstring · nullableOptional
webhookStatusstring · enumOptionalPossible values:
Responses
201

Created

idstring · uuidOptional
urlstring · nullableOptional
eventsstring[] · nullableOptional
tokenstring · nullableOptional
descriptionstring · nullableOptional
webhookStatusstring · enumOptionalPossible values:
post/Webhooks
POST /Webhooks HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 94

{
  "url": "https://example.com",
  "events": [
    "text"
  ],
  "description": "text",
  "webhookStatus": "Enabled"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "url": "text",
  "events": [
    "text"
  ],
  "token": "text",
  "description": "text",
  "webhookStatus": "Enabled"
}

Get Webhook by id

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

idstring · uuidOptional
urlstring · nullableOptional
eventsstring[] · nullableOptional
tokenstring · nullableOptional
descriptionstring · nullableOptional
webhookStatusstring · enumOptionalPossible values:
get/Webhooks/{id}
GET /Webhooks/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "url": "text",
  "events": [
    "text"
  ],
  "token": "text",
  "description": "text",
  "webhookStatus": "Enabled"
}

Delete Webhook

delete
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired

The identifier of the webhook

Header parameters
api-versionstringOptional
Responses
200

Success

No content

delete/Webhooks/{id}
DELETE /Webhooks/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content


Last updated